-- 跨服详情
Lua_CrossServerTipsWindow = class("Lua_CrossServerTipsWindow", Lua_Window);
function Lua_CrossServerTipsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_CrossServerTipsWindow";
	self.skinName = "CrossServerTipsWindow_skin";
	self.isFullSizeWin = true;
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_CrossServerTipsWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.desList = Lua_DragList.new(self.showContainer, 280, 164, Lua_AxisDefine.Vertical);
	self.desList:setListCell(Lua_CrossServerTipsCell, 280, 26, 1);
	self.desList:setLocation(6, 5);
	self.desList:setArrayData(DataCenter.crossServerData.server_list);

	Lua_CommonUtil.addTimer("updateIntervalTime", 1, self, self.updateIntervalTime);
	self:updateIntervalTime();
end

function Lua_CrossServerTipsWindow:updateIntervalTime()
	local left_time = DataCenter.crossServerData.open_day - DataCenter.roleData.serverTime;
	self.resetTimeTxt.text = Lua_TimeTransform.transSeconds18(left_time);
	if left_time < 0 then
		self.resetTimeTxt.text = "";
		Lua_CommonUtil.removeTimer(self, self.updateIntervalTime);
	end
end

function Lua_CrossServerTipsWindow:dispose()
	if self.desList ~= nil then
		self.desList:dispose();
		self.desList = nil;
	end
	Lua_CommonUtil.removeTimer(self, self.updateIntervalTime);

	self:superCall("dispose");
end










Lua_CrossServerTipsCell = class("Lua_CrossServerTipsCell", Lua_ListCell);
function Lua_CrossServerTipsCell:ctor(p)
	self:superCall("ctor", p, "CrossServerTipsCell_skin");
end

function Lua_CrossServerTipsCell:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_CrossServerTipsCell:setData(data)
	local langValue = data.type == 1 and 202605 or 202604;
	self.des.text = LanUtil.formateStr(langValue, data.server_prev, data.world_level);
end

function Lua_CrossServerTipsCell:dispose()
    self:superCall("dispose");
end